function [poloha_S]=S(SWC,x,org,poloha_R,tep,fvz)
poloha_S=[];
 
for i=1:length(poloha_R)
    okno=floor((tep/fvz)*19);
    if (poloha_R(i)+okno)<length(org)
        y=SWC(2,poloha_R(i)+okno);
        while y > 10;  
            okno=okno+1;
            y=SWC(2,poloha_R(i)+okno);
        end
        if abs(SWC(2,poloha_R(i)+okno))<= abs(SWC(2,poloha_R(i)+okno-1))
            poloha_S = [poloha_S  (poloha_R(i)+okno)];  
        else
            poloha_S  = [poloha_S  (poloha_R(i)+okno-1)]; 
        end
    end
end
